Package wx :: Package lib :: Package mixins :: Module treemixin :: Class TreeHelper

[frames | no frames]

## Type TreeHelper

    object --+
             |
            TreeHelper

Known Subclasses:
  `DragAndDrop`, `ExpansionState`, `VirtualTree`

This class provides methods that are not part of the API of any tree control, but are convenient to have available.

Method Summary
| ``GetIndexOfItem`(self, item)` Return the index of item.
| ``GetItemByIndex`(self, index)` Return the item specified by index.
| ``GetItemChildren`(self, item, recursively)` Return the children of item as a list.

Method Details

### GetIndexOfItem(self, item)

Return the index of item.

### GetItemByIndex(self, index)

Return the item specified by index.

### GetItemChildren(self, item=None, recursively=False)

Return the children of item as a list.

Generated by Epydoc 2.1.20050511.rpd on Wed Sep 26 13:48:52 2007 | http://epydoc.sf.net